### Name: evaluateLogConDens
### Title: Evaluates the Log-Density Estimator at an Arbitrary Real Number
###   x0
### Aliases: evaluateLogConDens
### Keywords: htest nonparametric

### ** Examples

## estimate gamma density
set.seed(1977)
x <- sort(rgamma(200, 2, 1))
res <- activeSetLogCon(x, w = NA, print = FALSE)

## compute function values at an arbitrary point
x0 <- (x[100] + x[101]) / 2
evaluateLogConDens(x0, x, res$phi, res$Fhat, res$IsKnot)



