### Name: icmaLogCon
### Title: Computes a Log-Concave Probability Density Estimate via an
###   Iterative Convex Minorant Algorithm
### Aliases: icmaLogCon
### Keywords: htest nonparametric

### ** Examples

set.seed(1977)
x <- sort(rgamma(200, 2, 1))
res <- icmaLogCon(x, w = NA, T1 = 2000, robustif = TRUE, print = TRUE)

## plot resulting functions
par(mfrow = c(2, 1), mar = c(3, 2, 1, 2))
plot(x, res$f, type = 'l'); rug(x)
plot(x, log(res$f), type = 'l'); rug(x)



