### Name: logcon-package
### Title: Estimate a Log-Concave Probability Density from iid Observations
### Aliases: logcon-package logcon
### Keywords: htest nonparametric

### ** Examples

## estimate gamma density
set.seed(1977)
x <- sort(rgamma(100, 2, 1))
res <- activeSetLogCon(x, w = NA, print = TRUE)

## compare performance to ICMA
res2 <- icmaLogCon(x, w = NA, T1 = 2000, robustif = TRUE, print = TRUE)

res$L
res2$L

## plot resulting functions
par(mfrow = c(2, 2), mar = c(3, 2, 1, 2))
plot(x, exp(res$phi), type = 'l'); rug(x)
plot(x, res$phi, type = 'l'); rug(x)
plot(x, res$Fhat, type = 'l'); rug(x)
plot(x, res$H, type = 'l'); rug(x)

## compute function values at an arbitrary point
x0 <- (x[50] + x[51]) / 2
evaluateLogConDens(x0, x, res$phi, res$Fhat, res$IsKnot)

## compute 0.5 quantile of Fhat
quantilesLogConDens(0.5, x, res$phi, res$Fhat)



